Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.util.xml
Class XmlValidationModeDetector

    java.lang.Object
      org.springframework.util.xml.XmlValidationModeDetector

    public class XmlValidationModeDetector

extends Object

Detects whether an XML stream is using DTD- or XSD-based validation.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller

Field Summary
`static int` | `VALIDATION_AUTO` Indicates that the validation mode should be auto-guessed, since we cannot find a clear indication (probably choked on some special characters, or the like).
`static int` | `VALIDATION_DTD` Indicates that DTD validation should be used (we found a "DOCTYPE" declaration).
`static int` | `VALIDATION_NONE` Indicates that the validation should be disabled.
`static int` | `VALIDATION_XSD` Indicates that XSD validation should be used (found no "DOCTYPE" declaration).

Constructor Summary
`XmlValidationModeDetector()`

Method Summary
`int` | `detectValidationMode(InputStream inputStream)` Detect the validation mode for the XML document in the supplied `InputStream`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALIDATION_NONE

    public static final int VALIDATION_NONE

  Indicates that the validation should be disabled.

  See Also:
    Constant Field Values

### VALIDATION_AUTO

    public static final int VALIDATION_AUTO

  Indicates that the validation mode should be auto-guessed, since we cannot find a clear indication (probably choked on some special characters, or the like).

  See Also:
    Constant Field Values

### VALIDATION_DTD

    public static final int VALIDATION_DTD

  Indicates that DTD validation should be used (we found a "DOCTYPE" declaration).

  See Also:
    Constant Field Values

### VALIDATION_XSD

    public static final int VALIDATION_XSD

  Indicates that XSD validation should be used (found no "DOCTYPE" declaration).

  See Also:
    Constant Field Values

Constructor Detail

### XmlValidationModeDetector

    public XmlValidationModeDetector()

Method Detail

### detectValidationMode

    public int detectValidationMode(InputStream inputStream)
                             throws IOException

  Detect the validation mode for the XML document in the supplied `InputStream`. Note that the supplied `InputStream` is closed by this method before returning.

  Parameters:
    `inputStream` - the InputStream to parse
  Throws:
    `IOException` - in case of I/O failure
  See Also:
    `VALIDATION_DTD`, `VALIDATION_XSD`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.